# SPDX-FileCopyrightText: 2020 Mintlab B.V.
#
# SPDX-License-Identifier: EUPL-1.2

# AUTOGENERATED FILE - No need to edit
# GENERATED AT: 2023-11-07T21:29:52"
# Re-create by running 'generate-routes' command
# Run 'generate-routes --help' for more options


def add_routes(config):
    """Add routes to pyramid application.

    :param config: pyramid config file
    :type config: Configurator
    """
    handlers = [
        {
            "route": "/api/v2/style/openapi/{filename}",
            "handler": "apidocs_fileserver",
            "method": "GET",
            "view": "zsnl_style_http.views.apidocs.apidocs_fileserver",
        },
        {
            "route": "/api/v2/style/upload_template",
            "handler": "upload_template",
            "method": "POST",
            "view": "zsnl_style_http.views.views.upload_template",
        },
        {
            "route": "/api/v2/style/tenants",
            "handler": "get_tenants",
            "method": "GET",
            "view": "zsnl_style_http.views.style_config.StyleConfigViews",
            "viewclass": "StyleConfigViews",
        },
        {
            "route": "/api/v2/style/get_content",
            "handler": "get_content",
            "method": "GET",
            "view": "zsnl_style_http.views.views.get_content",
        },
    ]

    for h in handlers:
        config.add_route(
            name=h["handler"], pattern=h["route"], request_method=h["method"]
        )
        config.add_view(
            view=h["view"],
            route_name=h["handler"],
            request_method=h["method"],
        )
